unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, UAspFileDataSet, ExtCtrls;

type
  TForm1 = class(TForm)
    AspFileDataSet1: TAspFileDataSet;
    Button1: TButton;
    AspFileDataSource1: TAspFileDataSource;
    AspFileDBGrid1: TAspFileDBGrid;
    AspFileDBNavigator1: TAspFileDBNavigator;
    TestMode: TRadioGroup;
    procedure Button1Click(Sender: TObject);
    procedure AspFileDataSet1DBMethods0ExecuteProc(Sender: TDbProcItem;
      CallUser: String; var AbortNextStep: Boolean);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var IsSuccess:OleVariant;
    tmpDs:TAspFileDataSet;
begin
  IsSuccess := FALSE;
  AspFileDataSet1.Active := FALSE;
  
  with AspFileDataSet1.RecDataSet do
    begin
      AddNewField( 'Ǹ',10, TRUE,FALSE,FALSE,nil,'','','',IsSuccess);
      AddNewField( 'mW',10,FALSE,FALSE,FALSE,nil,'','','',IsSuccess);
      AddNewField( '~', 3,FALSE,FALSE,FALSE,nil,'','','',IsSuccess);
      SaveSchema('AAAA.SFD');
    end;//with...end!!

  IsSuccess := AspFileDataSet1.RecDataSet.DeleteAllFields;

  tmpDs := AspFileDataSet1;
  
  AspFileDataSource1.DataSet := tmpDs;

  tmpDs.AccessUser := 'iѮv';

  case TestMode.ItemIndex of
    0:begin//1. Memory Table Mode
        tmpDs.AccessFile := '';
        tmpDs.SchemaFileName := 'AAAA.SFD';
      end;
    1:begin//2.Create Real DataFile
        tmpDs.SchemaFileName := '';
        tmpDs.RecDataSet.LoadSchema('AAAA.SFD');
        tmpDs.AccessFile := 'ǥͰ򥻸.XDB';
      end;
  end;//case...end!!

  tmpDs.Active := TRUE;
  
  with tmpDs.RecDataSet do
    begin
      RecInsert;
      FieldByName['Ǹ'] := '2001';
      FieldByName['mW'] := 'p';
      FieldByName['~'] := '12';
      RecPost(IsSuccess);

      RecInsert;
      FieldByName['Ǹ'] := '2002';
      FieldByName['mW'] := 'p';
      FieldByName['~'] := '11';
      RecPost(IsSuccess);

      RecInsert;
      FieldByName['Ǹ'] := '2003';
      FieldByName['mW'] := 'p';
      FieldByName['~'] := '10';
      RecPost(IsSuccess);

    end;//while...end!!

  tmpDs := nil;  
end;

procedure TForm1.AspFileDataSet1DBMethods0ExecuteProc(Sender: TDbProcItem;
  CallUser: String; var AbortNextStep: Boolean);
begin
  ShowMessage(CallUser+'--> Is :'+Sender.ProcDescrip+'() !!');
end;

end.
