unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, UAspFileDataSet, ExtCtrls, StdCtrls, DB, DBTables, DBCtrls,
  Grids, DBGrids;

type
  TForm1 = class(TForm)
    TbMain: TAspFileDataSet;
    dsMain: TAspFileDataSource;
    AspFileDBNavigator1: TAspFileDBNavigator;
    Table1: TTable;
    AspFileDBGrid1: TAspFileDBGrid;
    AspFileDBEdit1: TAspFileDBEdit;
    Lb_30073719: TLabel;
    Label1: TLabel;
    Label2: TLabel;
    GroupBox1: TGroupBox;
    Label3: TLabel;
    Label4: TLabel;
    Edit1: TEdit;
    Edit2: TEdit;
    Button3: TButton;
    Button4: TButton;
    Label5: TLabel;
    Label6: TLabel;
    Button1: TButton;
    Button2: TButton;
    procedure FormCreate(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure AspFileDBGrid1Columns0CellBtnPressed(Column: TColumnItem;
      DataCell: TGridCell);
    procedure TbMainDBMethods0ExecuteProc(Sender: TDbProcItem;
      CallUser: String; var AbortNextStep: Boolean);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.FormCreate(Sender: TObject);
begin
  TbMain.SchemaFileName := 'customer.SFD';
  TbMain.Active := TRUE;
end;

procedure TForm1.Button1Click(Sender: TObject);
var i:integer;
    fs:string;
    IsPost:OleVariant;
begin
  Table1.Active := TRUE;
  while(Table1.Eof = FALSE)do
    begin
      TbMain.RecDataSet.RecInsert;
      for i := 0 to Table1.FieldCount-1 do
        begin
          fs := TbMain.RecDataSet.FieldName[i];
          TbMain.RecDataSet.FieldByName[fs]
            := table1.FieldByName(fs).AsString;
        end;
      TbMain.RecDataSet.RecPost(IsPost);
      Table1.Next;
    end;
  Table1.Active := FALSE;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  While(TbMain.RecDataSet.IsEmpty = FALSE)do
    TbMain.RecDataSet.RecDelete;
end;

procedure TForm1.AspFileDBGrid1Columns0CellBtnPressed(Column: TColumnItem;
  DataCell: TGridCell);
begin
  ShowMessage('Field:('+Column.DataField+') Button Is Clicked !!');
end;

procedure TForm1.TbMainDBMethods0ExecuteProc(Sender: TDbProcItem;
  CallUser: String; var AbortNextStep: Boolean);
begin
  Label2.Caption := IntToStr(TbMain.RecDataSet.RecordCount);
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  TbMain.RecDataSet.UseFilter := FALSE;
  if(Edit1.Text <> '')then TbMain.RecDataSet.AddDataFilterWithCommandStr(Edit1.Text);
  if(Edit2.Text <> '')then TbMain.RecDataSet.AddDataFilterWithCommandStr(Edit2.Text);
  TbMain.RecDataSet.UseFilter := TRUE;
  Label2.Caption := IntToStr(TbMain.RecDataSet.RecordCount);
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
  TbMain.RecDataSet.UseFilter := FALSE;
  TbMain.RecDataSet.DeleteAllDataFilters;
  Label2.Caption := IntToStr(TbMain.RecDataSet.RecordCount);
end;

end.
